Commit c28376c4 authored by Jacek Lebioda's avatar Jacek Lebioda Committed by Laurent Heirendt
Browse files

Laurent.heirendt/howto cards update theme

parent bbbd7fb7
env/.jekyll-cache/
*.aux *.aux
*.log *.log
*.out *.out
......
image: ruby:2.5 # In case something goes horribly wrong, you can fall back to `image: ruby:2.5`
image: git-r3lab.uni.lu:4567/r3/docker/jekyll-lcsb:1.0
variables: variables:
JEKYLL_ENV: production JEKYLL_ENV: production
...@@ -6,7 +7,7 @@ variables: ...@@ -6,7 +7,7 @@ variables:
before_script: before_script:
- apt-get -qq update - apt-get -qq update
- apt-get install -y -qq git-lfs - apt-get install -y -qq git-lfs
- bundle install && bundle update - gem install bundler:2.0.2 && bundle install
pages: pages:
stage: deploy stage: deploy
......
...@@ -7,15 +7,12 @@ source "https://rubygems.org" ...@@ -7,15 +7,12 @@ source "https://rubygems.org"
# #
# bundle exec jekyll serve # bundle exec jekyll serve
# #
# This will help ensure the proper Jekyll version is running.
# Happy Jekylling!
gem "jekyll", "~> 3.8.5"
gem "bundler", "> 1.16.1"
# This is the default theme for new Jekyll sites. You may change this to anything you like. gem "jekyll", "~> 4.0"
gem "bundler", "> 2.0"
gem "minima", "~> 2.5" gem "minima", "~> 2.5"
gem 'jekyll-theme-primer', '~> 0.5.3' gem 'jekyll-theme-lcsb-default', '~> 0.3'
gem 'jekyll-theme-lcsb-default', '~> 0.2.23', :git => "https://git-r3lab.uni.lu/core-services/jekyll-theme-lcsb-default.git", :branch => "master"
# If you want to use GitHub Pages, remove the "gem "jekyll"" above and # If you want to use GitHub Pages, remove the "gem "jekyll"" above and
# uncomment the line below. To upgrade, run `bundle update github-pages`. # uncomment the line below. To upgrade, run `bundle update github-pages`.
...@@ -23,9 +20,18 @@ gem 'jekyll-theme-lcsb-default', '~> 0.2.23', :git => "https://git-r3lab.uni.lu/ ...@@ -23,9 +20,18 @@ gem 'jekyll-theme-lcsb-default', '~> 0.2.23', :git => "https://git-r3lab.uni.lu/
# If you have any plugins, put them here! # If you have any plugins, put them here!
group :jekyll_plugins do group :jekyll_plugins do
gem "jekyll-paginate-v2", "~> 1.7" gem "jekyll-paginate-v2",
gem "jekyll-feed", "~> 0.6" "~> 2",
gem "jekyll-email-protect" :git => "https://github.com/sverrirs/jekyll-paginate-v2.git"
gem "jekyll-feed",
"~> 0.6"
gem 'jekyll-theme-lcsb-frozen-components',
'~> 0.0.1',
:git => "https://git-r3lab.uni.lu/core-services/jekyll-theme-lcsb-frozen-components.git",
:branch => "master"
end end
# Windows does not include zoneinfo files, so bundle the tzinfo-data gem # Windows does not include zoneinfo files, so bundle the tzinfo-data gem
...@@ -33,3 +39,4 @@ gem "tzinfo-data", platforms: [:mingw, :mswin, :x64_mingw, :jruby] ...@@ -33,3 +39,4 @@ gem "tzinfo-data", platforms: [:mingw, :mswin, :x64_mingw, :jruby]
# Performance-booster for watching directories on Windows # Performance-booster for watching directories on Windows
gem "wdm", "~> 0.1.1" if Gem.win_platform? gem "wdm", "~> 0.1.1" if Gem.win_platform?
...@@ -54,6 +54,7 @@ theme: jekyll-theme-lcsb-default ...@@ -54,6 +54,7 @@ theme: jekyll-theme-lcsb-default
plugins: plugins:
- jekyll-feed - jekyll-feed
- jekyll-paginate-v2 - jekyll-paginate-v2
- jekyll-theme-lcsb-frozen-components
# These settings are used to display share link to howto.lcsb.uni.lu # These settings are used to display share link to howto.lcsb.uni.lu
# The display logic itself is in the template # The display logic itself is in the template
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment